# Configuration synchronization
## Version 2

conf-sync's purpose is to update regularly all configuration files, scripts or service files that are installed on a
system.

### Introduction
Version 2 implementation works roughly as follows:
* the script runs daily;
* it browses all local Git repositories (in a specific directory) and run `git pull`;
  * if changes are detected, it runs install script (if present).

### Files
* `conf-sync.sh` is the main script, which updates the files.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for running the script unattended.
#### Installation
* `install.sh` script copies Systemd templates to their destination, and enables conf-sync timer.

### TODO
* Add install support for OpenBSD
